
%global meadversion 2.2.4
%global namedversion 2.2.4.redhat-00001
%global meadalpha .redhat_00001
%global meadrel .1
%global serial 1
%global namedversionrel redhat-00001

%{?scl:%scl_package ws-commons-XmlSchema} 
%{!?scl:%global pkg_name %{name}}

%bcond_without mead
%bcond_with javadoc

%global short_name xmlschema


%define maven_version 2.2.4.redhat-00001

Name:           %{?scl_prefix}ws-commons-XmlSchema
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        XmlSchema Object Model
License:        ASL 2.0
URL:            http://ws.apache.org/commons/XmlSchema/
Group:          Development/Java

%if %with mead
Source100: xmlschema-2.2.4.redhat-00001-project-sources.tar.gz
Source102: xmlschema-core-2.2.4.redhat-00001-sources.jar
Source103: xmlschema-walker-2.2.4.redhat-00001-sources.jar
Source104: xmlschema-core-2.2.4.redhat-00001.jar
Source105: xmlschema-walker-2.2.4.redhat-00001.jar
Source106: xmlschema-walker-2.2.4.redhat-00001-javadoc.jar
Source107: xmlschema-walker-2.2.4.redhat-00001.pom
Source108: xmlschema-core-2.2.4.redhat-00001.pom
Source109: xmlschema-2.2.4.redhat-00001.pom
Source110: xmlschema-2.2.4.redhat-00001-site.xml
Source111: xmlschema-core-2.2.4.redhat-00001-javadoc.jar
%endif


BuildArch:      noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

%description
XMLSchema is a lightweight schema object model that can be 
used to manipulate and generate XML schema representations. 
It has very few external dependancies and can be easily 
integrated into an existing project.

%if %with javadoc
%package javadoc
Summary:        Javadoc for ws-commons-XmlSchema
Group:          Development/Documentation

Requires:       jpackage-utils

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n xmlschema-%{namedversion} -T -b 100

%build

%install
%{__rm} -rf $RPM_BUILD_ROOT
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}

%{__cp} -p %{_sourcedir}/xmlschema-core-%{namedversion}.jar \
               $RPM_BUILD_ROOT%{_javadir}/xmlschema-core-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/xmlschema-core-%{namedversion}-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/xmlschema-core-%{namedversion}-sources.jar

# create unprefixed and unversioned symlinks
(cd $RPM_BUILD_ROOT%{_javadir}
ln -sf xmlschema-core-%{namedversion}.jar xmlschema-core.jar
)

%if %with javadoc
# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{short_name}-core-%{namedversion}
%{__unzip} -qq %{_sourcedir}/%{short_name}-core-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/%{short_name}-core-%{namedversion}
%{__rm} -r %{buildroot}%{_javadocdir}/%{short_name}-core-%{namedversion}/META-INF

%{__ln_s} %{short_name}-core-%{namedversion} $RPM_BUILD_ROOT%{_javadocdir}/%{short_name}-core # ghost symlink
%{__ln_s} %{short_name}-core-%{namedversion} $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{namedversion}
%{__ln_s} %{name}-%{namedversion} $RPM_BUILD_ROOT%{_javadocdir}/%{name}
%endif

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(0644,root,root,0755)
%{_javadir}*/*.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{short_name}-core-%{namedversion}
%{_javadocdir}/%{short_name}-core
%{_javadocdir}/%{name}-%{namedversion}
%{_javadocdir}/%{name}
%endif

%changelog
* Fri Jul 05 2019 Yong Yang <yyang@redhat.com> - 2.2.4-1.redhat_00001.1
- RPM wrapper build

* Tue Jun 12 2018 Permaine Cheung <pcheung@redhat.com> - 2.2.1-3.redhat_2.1
- Rewrap for 7.2.0

* Wed May 02 2018 Roberto Guimaraes Dutra de Oliveira <rguimara@redhat.com> - 2.2.1-2.redhat_2.1
- upgrade to 2.2.1.redhat-2

* Wed May 02 2018 Roberto Guimaraes Dutra de Oliveira <rguimara@redhat.com> - 2.2.1-2.redhat_2.1
- upgrade to 2.2.1.redhat-2

* Fri Aug 28 2015 Fernando Nasser <fnasser@redhat.com> - 2.2.1-1.redhat_1.1
- Reinstate pluginmanagement and let maven extension handle it

* Wed Jun 17 2015 Permaine Cheung <pcheung@redhat.com> - 2.0.2-9.redhat_4.1
- EAP 7 build

* Wed Jun 17 2015 Permaine Cheung <pcheung@redhat.com> - 2.0.2-9.redhat_4.1
- EAP 7 build

* Wed Oct 16 2013 Lin Gao <lgao@redhat.com> - 0:2.0.2-8.redhat_3
- Rebuild to use inner git repository for CC
- Rebuild to use new version/release mechnism
- Regenerate the spec template file
- Move patch to git.app

* Thu Sep 20 2012 Fernando Nasser <fnasser@redhat.com> - 0:2.0.2-7.redhat_2
- Remove fix for JBPAPP-9190 as it is no longer needed and changes the MD5

* Wed Sep 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:2.0.2-6.redhat_2
- Rebuild for RHEL-5

* Thu Sep 06 2012 David Walluck <dwalluck@redhat.com> 0:2.0.2-5
- fix repolib file ownership
- BuildRequires: java-devel even in MEAD mode
- fix License
- fix Release

* Thu Aug 09 2012 Fernando Nasser <fnasser@redhat.com> - 0:2.0.2-4.redhat_2.1.2
- Rebuild unsigned

* Thu Jul 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:2.0.2-4.redhat_1.1.1
- Rebuild using cache signing

* Mon Jul 16 2012 Yong Yang <yyang@redhat.com> - 0:2.0.2-4.redhat_1
- Add Requires
- Add package-name javadoc links

* Wed Jul 04 2012 Yong Yang <yyang@redhat.com> - 0:2.0.2-3.redhat_1
- First mead build
- Install javadoc to xmlschema-core

* Thu May 31 2012 Yong Yang <yyang@redhat.com> 0:2.0.2-2.redhat_1
- Fix JBPAPP-9191, blank manifest in EAP build

* Fri May 04 2012 Yong Yang <yyang@redhat.com> 0:2.0.2-1.redhat_1
- Upgrade to 2.0.2

* Mon Mar 26 2012 Fernando Nasser <fnasser@redhat.com> - 0:2.0-2_redhat_1.1.1
- Rebuild using cache signing

* Tue Feb 07 2012 Fernando Nasser <fnasser@redhat.com> 0:2.0-2_redhat_1.1
- Use Stax from JDK  ( > 6 )

* Fri Dec 02 2011 Yong Yang <yiwang@redhat.com> 0:2.0-2_redhat_1
- Build for Werewolf

* Mon Jun 20 2011 Yong Yang <yiwang@redhat.com> 0:2.0-1
- Upgrade to 2.0

* Mon Jan 10 2011 Yiqiao Wang <yiwang@redhat.com> 0:1.4.5-2.4
- Build with Maven 2.2.1
- Add upload.sh to repolib
- Fix %%files for signed jars
- Add content of maven2-brew, add BR maven-deploy-plugin
- Add the line to find and remove any binaries

* Mon Jun 28 2010 Permaine Cheung <pcheung@redhat.com> 0:1.4.5-2.3
- BR and R codehaus-stax11-api instead of geronimo-qname

* Mon Jan 19 2010 Yiqiao Wang <yiwang@redhat.com> 0:1.4.5-2.2.1
- Disable aot compiler


* Thu Dec 10 2009 Martha Benitez <mbenitez@redhat.com> 0:1.4.5-2.2
- Fix repolib location
- Add pom.xml to repolib
- Add sources jar file to main package and repolib
- Fix component id and artifact id in component-info.xml

* Thu Aug 06 2009 Yong Yang <yyang@redhat.com> 0:1.4.5-2.1
- Change jpackage-utils >= 0:1.7.5 to jpackage-utils >= 0:1.7.3
- Comment ws-commons-java5

* Thu Aug 06 2009 Yong Yang <yyang@redhat.com> 0:1.4.5-2
- Add repolib

* Wed Jul 29 2009 Yong Yang <yyang@redhat.com> 0:1.4.5-1
- 1.4.5
- add pom patch and MANIFEST.MF

* Fri Mar 27 2009 Ralph Apel <r.apel at r-apel.de> 0:1.4.2-1.jpp5
- Upgrade to 1.4.2

* Mon Feb 09 2009 Ralph Apel <r.apel at r-apel.de> 0:1.3.2-1.jpp5
- Upgrade to 1.3.2

* Wed May 23 2007 Ralph Apel <r.apel at r-apel.de> 0:1.3.1-1jpp
- Upgrade to 1.3.1
- Fix metadata
- Switch to m2 for build
- Add -javadoc subpackage
- Add gjc_support option
- Optionally build with straight ant and then run different tests
- Make Vendor, Distribution based on macro

* Mon May 29 2006 Fernando Nasser <fnasser@redhat.com> 0:1.0.2-2jpp
- Add missing header

* Thu May 25 2006 Deepak Bhole <dbhole@redhat.com> 0:1.0.2-1jpp
- Upgrade to v1.02

* Mon Jan 30 2006 Deepak Bhole <dbhole@redhat.com> 0:1.0-0.20060119.1jpp
- Initial build.

